A strategy and the markets that fit it now
curl --request GET \
--url https://api.routeur.app/v1/insights/strategies/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights/strategies/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights/strategies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights/strategies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"strategy": {
"id": "<string>",
"venue": "all",
"category": "<string>",
"horizon_days": 1,
"from_usd": "<string>",
"to_usd": "<string>",
"side": "yes",
"markets": 123,
"avg_price_usd": "<string>",
"win_rate": "<string>",
"return_per_100_usd": "<string>",
"return_low_usd": "<string>",
"return_high_usd": "<string>",
"horizons": 123,
"open_matches": 123
},
"matches": [
{
"market": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"price_usd": "<string>",
"closes_at": "2023-11-07T05:31:56Z"
}
]
},
"graph_run": 2
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Signals
A strategy and the markets that fit it now
Listed markets on the strategy’s venue and category, with a Yes ask inside its band, closing near its horizon, and not yet under way; most traded first.
GET
/
v1
/
insights
/
strategies
/
{id}
A strategy and the markets that fit it now
curl --request GET \
--url https://api.routeur.app/v1/insights/strategies/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights/strategies/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights/strategies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights/strategies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"strategy": {
"id": "<string>",
"venue": "all",
"category": "<string>",
"horizon_days": 1,
"from_usd": "<string>",
"to_usd": "<string>",
"side": "yes",
"markets": 123,
"avg_price_usd": "<string>",
"win_rate": "<string>",
"return_per_100_usd": "<string>",
"return_low_usd": "<string>",
"return_high_usd": "<string>",
"horizons": 123,
"open_matches": 123
},
"matches": [
{
"market": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"price_usd": "<string>",
"closes_at": "2023-11-07T05:31:56Z"
}
]
},
"graph_run": 2
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
apiKeybearer
Path Parameters
A strategy id from GET /v1/insights/strategies.
Pattern:
^(all|kalshi|polymarket)~[a-z&-]+~(1|7|30)d~b[0-9]~(yes|no)$Query Parameters
Matching markets to return, most traded first.
Required range:
1 <= x <= 100